HINO Bugs - Bug #2482

[HR-Quota Cuti]service quota cuti otomatis tidak mengenerate quota untuk employee 00000576
padahal masa kerja sudah 1 tahun

01/04/2024 06:05 PM - Muhammad Bintar

Status: Revise Start date: 01/04/2024
Priority: High Due date: 01/10/2024
Assignee: Muhammad Bintar % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
Description

dear tim developer mohon support nya untuk perbaikan pada service quota cuti dimana pada master data absence quota employee
00000576 tidak mendapatkan quota cuti padahal sudah masa kerja 1 tahun.

dan juga jika generate quota nya salah untuk startdate nya seharusnya 20240101 dan start deduction 20240101 jika set @now nya
20240101
- BEGIN
DECLARE (@now VARCHAR(18)
5020~ SET finow = '2@2481p1"

—ISELECT DISTINCT CONVERT(WARCHAR,CONVERT (WARCHAR, CONVERT (INT,SUBSTRING(@now,1,4)))+"@2al") StartDate ,
CONVERT (VARCHAR, CONVERT (VARCHAR, CONVERT (INT,SUBSTRING (@now,1,4) )+1)+'@131") AS EndDate ,
pa2.EmployeelD,
CONVERT (VARCHAR(2@), '1@28') AS AbsenceQuotaType,
CASE WHEN (SELECT TOP(1) CONVERT(VARCHAR(28), CONVERT(INT,[Sequence])+1l) AS seq FROM dbo.PHRPA®®17 WHERE EmployeelID= pa2.Employ
IS NOT NULL THEN
(SELECT TOP(1) CONVERT(WARCHAR(28), CONVERT(INT,[Sequence])+l) AS seq FROM dbo.PHRPA®817 WHERE EmployeeID= pal2.Employee
END AS [Sequence],
/ERT (VARCHAR, CONVERT (VARCHAR, CONVERT (INT,SUBSTRING (finow,1,4)))+'8281") StartDeduction,
RT(VARCHAR, CO RT(VARCHAR, CONVERT (INT,SUBSTRING ([@now,1,4))+1)+'8331" ) AS EndDeduction ,
RT(wvarchar(18),'12")

RT(varchar(1@),'1") data typev_archar.('l)
RT(VARCHAR(2@), '') AS Notes,
CONVEFRT (WARCHAR( 2@ . 'Swstem') AS CreateRwv.
ENT 100% ~| 4
G StatDate  EndDate EmployeelD  AbsenceQuotaType  Sequence § StatDeduction EndDeduction  OrginalGucta RemainQuota Motes CreateBy CreateDate Chang
1 20250131] 00000004 1000 5 20240201 20250331 12 1 System 20240104180136  Syster
2 20240201  20250131| 00000005 1000 5 20240201 20250331 12 1 System 2024010418013 Syster
3 20240201 20250131 00000003 1000 5 20240201 20250331 12 1 System 20240104180136  Syster
4 20240201  20250131| 00000009 1000 5 20240201 20250331 12 1 System 2024010418013 Syster
5 20240201  20250131| 00000011 1000 5 20240201 20250331 12 1 System 20240104180136  Syster
& 20240201 20250131| 00000014 1000 5 20240201 2025031 12 1 System 20240104180136  Syster
7 20240201  20250131] 00000017 1000 5 20240201 20250331 12 1 System 20240104180136  Syster
8 20240201 20250131| 00000023 1000 5 20240201 20250331 12 1 System 20240104180136  Syster
9 20240201 20250131] 00000026 1000 5 20240201 20250331 12 1 System 20240104180136  Syster
1020240000 202501310 00000027 1000 5 20240201 20250331 12 1 System 20240104180136  Syster

nama service job nya generatequotacutihino
database sql server 2019
remote.minovais.com, 1458

hino_prod

History

#1 - 01/05/2024 02:50 PM - Kezia Pawitra Yulianti
- Due date changed from 01/12/2024 to 01/10/2024
- Status changed from New to Assigned

- Priority changed from Normal to High

#2 - 01/09/2024 12:04 PM - Muhammad Bintar
contoh2 employeeid yang belum dapat quota cuti:

- employee 580,581,582, dst itu hiring jan 2023

#3 - 01/23/2024 10:09 AM - M Azid Wahyudi

03/26/2025 12



- Status changed from Assigned to Revise

- Assignee changed from M Azid Wahyudi to Muhammad Bintar

dear masbin ,
untuk issue ini sudah konfirmasi ke bang daud di hold dulu , karena itu di harcode kemungkinan ada ketentuannya

makasih
